Last 5.3 release ever available: PHP 5.3.29 - 5.3 now EOL

Temel yapılandırma seçeneklerinin listesi

PHP'yi Unix ve benzeri sistemlerde derlerken kullanılan PHP configure betiğinin yapılandırma seçeneklerinden bir kısmı aşağıda listelenmiştir. Burada bulunmayan yapılandırma seçeneklerinin çoğu eklenti başvuru sayfalarında ilgili oldukları yerlerde listelenmiştir. Yapılandırma seçeneklerinin güncel ve tam listesini almak için PHP kaynak dizininizde autoconf'u çalıştırdıktan sonra ./configure --help komutunu kullanabilirsiniz (ayrıca, Kurulum ve Yapılandırma bölümüne de bakınız). Ayrıca, --prefix=PREFIX gibi ek configure seçenekleri hakkında bilgi almak için » GNU configure belgelerini de okuyabilirsiniz.

Bilginize:

Bunlar sadece derleme sırasında kullanılırlar. PHP'nin çalışma anı yapılandırmasını değiştirmek isiyorsanız Çalışma anı Yapılandırması bölümüne bakınız.

PHP Yapılandırma Seçenekleri

Bilginize:

Bu seçenekler sadece PHP 4.1.0 ve sonrasında kullanılırsa da bir kısmı daha eski sürümlerde de kullanılmaktaydı. Eski sürümlerden birini derlemek istiyorsanız bazı seçenekler muhtemelen kullanılamayacaktır.

Çeşitli Seçenekler

--enable-debug

Hata ayıklama etkinleştirilerek derlenir.

--with-layout=TÜR

Kurulacak dosyaların neye göre yerleştirileceği belirtilir. TÜR olarak PHP (öntanımlı) veya GNU belirtilebilir.

--with-pear=DiZiN

PEAR, DiZiN'e kurulur (öntanımlı: PREFIX/lib/php).

--without-pear

PEAR kurulmaz.

--enable-sigchild

PHP'nin kendi SIGCHLD eylemcisi etkin olur.

--disable-rpath

Çalışma anı ek kütüphane arama yollarının aktarımı iptal edilir.

--enable-libgcc

libgcc'ye doğrudan ilintileme etkin olur.

--enable-php-streams

Deneysel PHP akımları içerilir. Kodu denemeden kullanmayın.

--with-zlib-dir[=DiZiN]

zlib kurulum dizininin yeri tanımlanır.

--enable-trans-sid

Şeffaf oturum kimliği yayını etkin kılınır. Sadece 4.1.2 ve öncesi için geçerlidir. Trans-sid özelliği PHP 4.2.0'dan beri daima derlenmektedir.

--with-tsrm-pthreads

POSIX evreleri kullanılır (öntanımlıdır).

--enable-shared[=PKGS]

Paylaşımlı kütüphaneler derlenir [öntanımlı=evet].

--enable-static[=PKGS]

Duruk kütüphaneler derlenir [öntanımlı=evet].

--enable-fast-install[=PKGS]

Hızlı kurulum için en iyileme yapılır [öntanımlı=evet].

--with-gnu-ld

C derleyicinin GNU ld kullanacağı varsayılır [öntanımlı=hayır].

--disable-libtool-lock

Kilitlemeden kaçınılır (paralel derlemeleri bozabilir).

--with-pic

Sadece PIC/non-PIC nesneler kullanılmaya çalışılır [öntanımlı=ikisi de].

--enable-memory-limit

Bellek sınırlama destekli derleme yapılır (PHP 5.2.1'den beri kullanılmamaktadır - daima etkindir)

--disable-url-fopen-wrapper

Dosyalara HTTP veya FTP üzerinden erişmeye imkan veren URL bilir fopen sarmalayıcı iptal edilir (PHP 5.2.5'ten beri kullanılmamaktadır).

--enable-versioning

Sadece gerekli simgeler ihraç edilir. Daha fazla bilgi için INSTALL dosyasına bakınız.

PHP seçenekleri

--enable-maintainer-mode

Make kurallarının ve bağımlılıklarının dikkatsiz kurucuya elverişsizliği etkin kılınır.

--with-config-file-path=YOL

php.ini dosyasının aranacağı yollar atanır; PREFIX/lib öntanımlıdır.

--enable-safe-mode

Güvenli kip öntanımlı olarak etkin kılınır.

--with-exec-dir[=DiZiN]

Güvenli kip /usr/local/php/bin dizini öntanımlı olduğunda sadece DiZiN içindeki çalıştırılabilirlere izin verilir.

--enable-magic-quotes

Sihirli tırnaklar öntanımlı olarak etkindir.

--disable-short-tags

Öntanımlı olarak başlatma etiketinin <? kısa biçemi iptal edilir.

SAPI seçenekleri

Aşağıda PHP için kullanılabilen SAPI'ler (Server Application Programming Interface kısaltması; Sunucu Uygulama Programlama Arayüzü) listelenmiştir.

--with-aolserver=DiZiN

AOLserver eklentisinin kurulum yeri belirtilir.

--with-apxs[=DOSYA]

PHP bir paylaşımlı Apache modülü olarak derlenir. DOSYAnın belirtilmesi isteğe bağlı olup Apache apxs aracının ismini belirtmek için kullanılır; apxs öntanımlıdır. Apxs'in sisteminizde kurulu sürümünü belirtmelisiniz, Apache kaynak paketindekini değil.

--with-apache[=DiZiN]

PHP bir duruk Apache modülü olarak derlenir. DiZiN, Apache'nin kurulu olduğu dizin olup /usr/local/apache öntanımlıdır.

--with-mod_charset

mod_charset (Rusça Apache) için aktarım tablolarını etkinleştirir.

--with-apxs2[=DOSYA]

PHP bir paylaşımlı Apache 2.0 modülü olarak derlenir. DOSYAnın belirtilmesi isteğe bağlı olup Apache apxs aracının ismini belirtmek için kullanılır; apxs öntanımlıdır.

--with-caudium=DiZiN

PHP, Caudium sunucu ile kullanmak için bir Pike modülü olarak derlenir. DiZiN, Caudium sunucunun kurulu olduğu dizin olup /usr/local/caudium/server öntanımlıdır.

--disable-cli

PHP 4.3.0 ile kullanılabilir. PHP'nin CLI sürümünün derlenmemesini sağlar (bu, --without-pear seçeneğinin kullanımına sebep olur). Daha fazla bilgi PHP'nin komut satırından kullanımı bölümünde bulunabilir.

--enable-embed[=TÜR]

Gömülü SAPI kütüphanesinin kurulmasını sağlar. TÜR olarak shared veya static belirtilebilir (paylaşımlı veya duruk); shared öntanımlıdır. PHP 4.3.0 ve sonrasında kullanılabilir.

--with-fhttpd[=DiZiN]

fhttpd modülü derlenir. DiZiN, fhttpd dizini olup /usr/local/src/fhttpd öntanımlıdır. PHP 4.3.0'dan beri kullanılmamaktadır.

--with-isapi=DiZiN

PHP, Zeus ile kullanmak için bir ISAPI modülü olarak derlenir.

--with-nsapi=DiZiN

Netscape/iPlanet/SunONE HTTP Sunucusunun kurulu olduğu dizin belirtilir.

--with-phttpd=DiZiN

Henüz bir bilgi yok.

--with-pi3web=DiZiN

PHP, Pi3Web ile kullanmak için bir modül olarak derlenir.

--with-roxen=DiZiN

PHP bir Pike modülü olarak derlenir. DiZiN, ana Roxen dizini olup normalde /usr/local/roxen/server dizinidir.

--enable-roxen-zts

Roxen modülü Zend Thread Safety kullanılarak derlenir.

--with-servlet[=DiZiN]

Servlet desteği etkinleştirilir. DiZiN, JSDK'nın ana kurulum dizinidir. Bu SAPI, bir paylaşımlı geliştirme dili olarak derlenmiş java eklentisi gerektirir.

--with-thttpd=KaynakDizini

PHP bir thttpd modülü olarak derlenir.

--with-tux=ModülDizini

PHP bir TUX modülü olarak derlenir (sadece Linux'ta).

--with-webjames=KaynakDizini

PHP bir WebJames modülü olarak derlenir (sadece RISC OS'ta).

--disable-cgi

PHP'nin CGI sürümü derlenmez. PHP 4.3.0 ve sonrasında kullanılabilir.

--enable-force-cgi-redirect

Sunucu içi yönlendirmeler için güvenlik denetimi etkin kılınır. PHP'yi Apache ile bir CGI olarak çalıştıracaksanız bu seçeneği kullanmalısınız.

--enable-discard-path

Etkin kılındığı takdirde, PHP CGI çalıştırılabiliri güvenle belge ağacının dışına yerleştirilebilir ve böylece .htaccess kullanıcılarının sorun çıkarmaları engellenmiş olur.

--with-fastcgi

PHP bir FastCGI uygulaması olarak derlenir. PHP 4.3.0'dan beri kullanılmamaktadır, yerine --enable-fastcgi kullanılmalıdır.

--enable-fastcgi

Etkin kılındığı takdirde, PHP CGI modülü, ayrıca FastCGI desteği de içerir. PHP 4.3.0 ve sonrasında kullanılabilir.

--disable-path-info-check

Etkisiz kılındığı takdirde, /info.php/test?a=b gibi dosya yollarının çalıştırılması başarısız olur. PHP 4.3.0 ve sonrasında kullanılabilir. Daha ayrıntılı bilgi için » Apache Belgelerine bakınız.

add a note add a note

User Contributed Notes 1 note

up
-7
quantoid
4 years ago
use --enable-soap to use SoapClient/Server classes
To Top